#include "includes.h"

// 初始化GUI用到的串口
void driver_gui_init()
{
    driver_uart_init_gui();
}

// GUI模块发送数据
// pbyData:待发送数据地址
// wLen:数据长度
// 返回值，0：失败，1：成功
uint8 driver_gui_send_data(uint8 *pbyData, uint16 wLen)
{
    return driver_uart_send_data(UART_GUI, pbyData, wLen);
}

// GUI模块接收数据
// pbyData:保存数据的地址(返回参数)
// wLen:能接收的数据的最大长度
// 返回值，0失败，其他值表示本次接收到的数据长度
uint16 driver_gui_receive_data(uint8 *pbyData, uint16 wLen)
{
    return driver_uart_receive_data(UART_GUI, pbyData, wLen);
}
